module yamalib.util.uni2mbs;

private import std.stream;
private import std.path;
private import std.file;
private import y4d_aux.widestring;
private import y4d_aux.filesys;
private import y4d_aux.direnumerator;
private import yamalib.log.log;

/// Unicodeこのソースからマルチバイトのソースにコンバートします
void convert(char[] filepath) {
	DirEnumerator d = new DirEnumerator;
	d.setDir(filepath);
	foreach(char[] filename;d){
		void[] v = FileSys.read(filename);
		if (v)
			if("d" == getExt(filename)) {
//				Log.print("now convert %.s\n",filename);
//				Log.print("now convert %.s\n",v);
				char[] v2 = toMBS(cast(wchar[])v);
				FileSys.write(filename,cast(void[])v2);
		}
	}
}
